package com.keao.edu.common.service.impl;


import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.keao.edu.common.dal.BaseDAO;
import com.keao.edu.common.dao.SysMessageConfigDao;
import com.keao.edu.common.entity.SysMessageConfig;
import com.keao.edu.common.enums.MessageTypeEnum;
import com.keao.edu.common.service.SysMessageConfigService;

@Service
public class SysMessageConfigServiceImpl extends BaseServiceImpl<Integer, SysMessageConfig>  implements SysMessageConfigService {
	
	@Autowired
	private SysMessageConfigDao sysMessageConfigDao;

	@Override
	public BaseDAO<Integer, SysMessageConfig> getDAO() {
		return sysMessageConfigDao;
	}

	@Override
	public SysMessageConfig queryByType(MessageTypeEnum type) {
		return sysMessageConfigDao.queryByType(type.getCode());
	}

	@Override
	public SysMessageConfig queryByEvent(MessageTypeEnum type) {
		return sysMessageConfigDao.queryByEvent(type.getCode());
	}
}
